GlueGen: com.jogamp.gluegen.ASTLocusTag Class Reference

GlueGen v2.6.0-rc-20250712 GlueGen, Native Binding Generator for Java™ (public API).

Classes | Public Member Functions | Public Attributes | List of all members
com.jogamp.gluegen.ASTLocusTag Class Reference

An AST location tag. More...

Collaboration diagram for com.jogamp.gluegen.ASTLocusTag:

## Classes

interface | ASTLocusTagProvider
| Interface tag for `ASTLocusTag` provider. More...

## Public Member Functions

| ASTLocusTag (final Object source, final int line, final int column, final String text)
String | toString ()
StringBuilder | toString (final StringBuilder sb, final String level, final boolean inclText)

## Public Attributes

final Object | source
| Source object, might be `String`. More...
final int | line
| Line number, `-1` if undefined. More...
final int | column
| Column number, `-1` if undefined. More...
final String | text
| Source text reflecting current location, `null` if undefined. More...

## Detailed Description

An AST location tag.

Definition at line 33 of file ASTLocusTag.java.

## Constructor & Destructor Documentation

## ◆ ASTLocusTag()

com.jogamp.gluegen.ASTLocusTag.ASTLocusTag | ( | final Object | source,
|  | final int | line,
|  | final int | column,
|  | final String | text
| ) |  |

Definition at line 43 of file ASTLocusTag.java.

## Member Function Documentation

## ◆ toString() [1/2]

String com.jogamp.gluegen.ASTLocusTag.toString | ( |  | ) |

Definition at line 50 of file ASTLocusTag.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ toString() [2/2]

StringBuilder com.jogamp.gluegen.ASTLocusTag.toString | ( | final StringBuilder | sb,
|  | final String | level,
|  | final boolean | inclText
| ) |  |

Definition at line 53 of file ASTLocusTag.java.

## Member Data Documentation

## ◆ column

final int com.jogamp.gluegen.ASTLocusTag.column

Column number, `-1` if undefined.

Definition at line 39 of file ASTLocusTag.java.

## ◆ line

final int com.jogamp.gluegen.ASTLocusTag.line

Line number, `-1` if undefined.

Definition at line 37 of file ASTLocusTag.java.

## ◆ source

final Object com.jogamp.gluegen.ASTLocusTag.source

Source object, might be `String`.

Definition at line 35 of file ASTLocusTag.java.

## ◆ text

final String com.jogamp.gluegen.ASTLocusTag.text

Source text reflecting current location, `null` if undefined.

Definition at line 41 of file ASTLocusTag.java.

The documentation for this class was generated from the following file:

- src/java/com/jogamp/gluegen/ASTLocusTag.java